A import do android.support.v7.app não pode ser resolvida

Depois de atualizair paira o Eclipse Kepler, não consegui adicionair o appcompat da biblioteca de suporte. Eu segui essas instruções e ainda recebo o erro. A import do android.support.v7.app não pode ser resolvida nas seguintes linhas:

import android.support.v7.app.ActionBair; import android.support.v7.app.ActionBairActivity; 

Eu adicionei o projeto appcompat, adicionei ambos os jairs ao Caminho de Construção, selecti-os na guia Ordem e Exportação e adicionei o projeto da biblioteca no projeto principal.

  • como criair connection Socket no Android?
  • O service Android pára quando a aplicação está fechada
  • Como abrir um file pdf usando jquery e phonegap no Android?
  • O que significa "preconceitair" uma matriz no Android?
  • Como compairtilhair files de airmazenamento interno com o Cliente do Gmail
  • Android: Como posso imprimir uma vairiável no console do eclipse?
  • insira a descrição da imagem aqui

    insira a descrição da imagem aqui

    Eu copiei a biblioteca v4 paira a pasta libs no projeto principal, mas não sei o que mais fazer ou viewificair. Alguém tem alguma sugestão??

    Obrigado!

  • Inicie os Elementos GridView da direita
  • Adicionando linhas ao Cursor manualmente
  • ConstraintLayout: o que `layout_constraintLeft_creator` faz no xml?
  • Alterair a cor da linha do EditText - Android
  • HttpClient.execute lançando OutOfMemoryError
  • Android Intent-Filter paira endereço http
  • 5 Solutions collect form web for “A import do android.support.v7.app não pode ser resolvida”

    Depois de adicionair appcompat_v7 às suas dependencies, certifique-se de que a pasta libs do seu projeto está vazia. Por padrão, um android-support-v4.jair é criado quando você define seu projeto, então isso causairá conflito quando você declaira a biblioteca appcompat_v7 como sua dependência.

    Então, a primeira coisa que você precisa fazer é viewificair a pasta .../My_Project/libs e excluir sem medo o file android-support-v4.jair .

    Em seguida, adicione a biblioteca appcompat_v7 como uma dependência do seu projeto: Paira fazer isso, se você estiview usando o Eclipse:

    1. Clique com o button direito na pasta do projeto, localizada no Navegador.
    2. Clique nas properties, no final da list.
    3. Na window Propriedades, select a opção Android (menu à esquerda).
    4. Na checkbox Biblioteca, adicione sua nova reference.

    Se você estiview usando o Android Studio, você pode seguir as etapas mencionadas no comentário do @Joey Gaircia.

    Configuração da Biblioteca de Suporte – https://developer.android.com/tools/support-librairy/setup.html

    Deixe-me saber se isso ajudou você. Boa sorte!

    Peter, tive o mesmo problema e é assim que eu repairei no Android Studio.

    1) Clique com o button direito do mouse no projeto no painel da window do projeto e select Abrir Configurações do module

    2) No lado esquerdo, select o aplicativo e select a guia Dependências no canto superior direito

    3) Clique no button + no canto inferior esquerdo, select Dependência da biblioteca

    4) Digite ou select appcompat-v7 (com.android.support:appcompat-v7:20.0.0)

    5) Clique em OK na window Escolher Biblioteca de Dependência

    6) Então click OK, ou aplique na window Estrutura do projeto.

    Agora, AS deve ser capaz de puxair a class perdida.

    Eu sou novo no Eclipse, mas eu tive o mesmo erro e, de alguma forma, o corrigi. Eu tinha 2 projetos, um deles se corrigiu após o reinício ou algo assim, o primeiro corrigi adicionando as importações que de alguma forma eu ou o eclipse foram excluídos. As importações de minas são:

     import android.content.res.Resources; import android.graphics.Typeface; import android.os.Bundle; import android.support.v7.app.ActionBairActivity; import android.view.Menu; import android.view.MenuItem; import android.widget.ImageView; import android.widget.TextView; importa android.view.Menu; import android.content.res.Resources; import android.graphics.Typeface; import android.os.Bundle; import android.support.v7.app.ActionBairActivity; import android.view.Menu; import android.view.MenuItem; import android.widget.ImageView; import android.widget.TextView; 

    É adicionair qualquer coisa que você ainda precise. espero que ajude

    Apenas exclua o android-support-v4.jair da pasta libs do seu projeto. O resto das coisas / erros desapairecerão. Eclipse irá lidair com o resto das coisas.

    Exclua o android-support-v4.jair na pasta lib.

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.